/**
  *  \file game/exp.h
  *  \brief Experience Handling
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_EXP_H
#define PCC_V2_GAME_EXP_H

#include "cpluslib/smallset.h"
#include "cpluslib/string.h"

enum {
    NUM_EXPERIENCE_LEVELS = 10
};

typedef SmallSet<int> GExpLevelSet;

string_t formatExpLevelSet(GExpLevelSet set);

#endif
